Update Backup Repository
Product version: 10.11
Last modified: 31 July 2024
Updates a Backup Repository.
The update method replaces the whole Backup Repository configuration with the object you send. Fields that you leave out are reset to their default values, and schedules that you leave out are deleted. To change a Backup Repository, get its current object with the Get Backup Repository Info method, change the fields you need, and send the full object. Fields marked as returned by the product are ignored on update.
Endpoint
https://<Director_IP_address>:4443/c/router
Request Example
Before updating an assigned Backup Repository Transporter: get the backup repository list and then replace the "transporterId" and "transporterName" fields with the updated Backup Repository Transporter data.
curl --request POST \
--url https://<Director_IP_address>:4443/c/router \
--header "content-type: application/json" \
--cookie cookies.txt \
--data '{
"action": "BackupManagement",
"method": "update",
"data": [
{
"id": 20,
"state": "INACCESSIBLE",
"status": "NONE",
"changeStatus": "NONE",
"isAccessible": false,
"attached": false,
"consistent": true,
"licensed": true,
"dataStorageType": "INCREMENTAL_WITH_FULL_BACKUPS",
"type": "WASABI",
"name": "WASABI",
"description": "",
"size": 11258999068426240,
"free": 11258999068426240,
"allocated": 8920354605,
"consumed": 8920354605,
"path": "",
"transporterId": 3,
"transporterVid": "TRANSPORTER-3",
"transporterName": "10.10.16.238",
"transporterCaps": {
"LINUX_GUESTS_RECOVERY_SUPPORT": true,
"DIRECT_CONNECT_SUPPORT": true,
"VMWARE_VSPHERE_PRE55_SUPPORT": true,
"FLASH_VM_BOOT_SUPPORT": true,
"VMWARE_VSPHERE_SUPPORT": true,
"HPE_STOREONCE_CATALYST_SUPPORT": true,
"AWS_S3_SUPPORT": true,
"REPOSITORY_MANAGEMENT_SUPPORT": true,
"WINDOWS_GUESTS_RECOVERY_SUPPORT": true,
"VMWARE_JOURNAL_SERVICE_SUPPORT": false,
"OLR_SUPPORT": true,
"NUTANIX_SUPPORT": false,
"NFS_SHARE_SUPPORT": true,
"MS_HYPERV_SUPPORT": false,
"REPOSITORY_ENCRYPTION_SUPPORT": true,
"CIFS_SHARE_SUPPORT": true,
"AZURE_BLOB_SUPPORT": true,
"SAAS_REPOSITORY_SUPPORT": true,
"AWS_EC2_SUPPORT": false
},
"transporterState": "INACCESSIBLE",
"username": "T9C9F4E5OKQ68CAOFU96",
"password": "",
"advancedMountOptions": "",
"backupCount": 4,
"hvTypeBackupCount": {
"HYPERV": 1,
"NONE": 1,
"VMWARE": 2
},
"hvTypeBackupHasRootDiskCount": {},
"wasDiscoveredOnce": true,
"wasEdited": false,
"importIsPending": false,
"createIsPending": false,
"progress": 0,
"operationStart": null,
"operationStartRelative": 0,
"transporterLockedExclusive": false,
"transporterLockedReasons": [],
"lockedExclusive": false,
"lockedShared": false,
"lockReasons": [],
"preventModification": false,
"isStoreInSeparateFile": true,
"compression": "FAST",
"compressionRatio": 3600,
"deduplication": false,
"deduplicationRatio": 0,
"selfHeal": true,
"encryption": false,
"encryptionPassword": "",
"autoSize": true,
"storageSize": 500,
"chunkSize": 500,
"volumeType": "sc1",
"awsAccountId": null,
"awsAccountName": null,
"regionId": null,
"regionName": null,
"bucketId": null,
"bucketName": null,
"wasabiAccountId": 1,
"wasabiAccountName": "WASABI ACC",
"wasabiRegionId": 12,
"wasabiRegionName": "Wasabi AP Southeast 1 (Singapore)",
"wasabiBucketId": 219,
"wasabiBucketName": "tam-bucket-sing-non-verify",
"azureAccountId": null,
"azureAccountName": null,
"azureBlobContainerId": null,
"backblazeAccountId": null,
"backblazeAccountName": null,
"backblazeRegionName": null,
"backblazeBucketId": null,
"backblazeBucketName": null,
"s3CompatibleAccountId": null,
"s3CompatibleAccountName": null,
"s3CompatibleRegionName": null,
"s3CompatibleBucketId": null,
"s3CompatibleBucketName": null,
"deviceType": null,
"connectionType": "IP",
"serverName": "",
"cofcIdentifier": "",
"catalystStoreName": "",
"useSelfHealSchedule": false,
"selfHealSchedule": {
"enabled": true,
"type": "DAILY",
"startTime": "11:00:00 AM",
"timezoneOffsetMs": 7200000,
"timezone": "EET",
"on": 127,
"every": 1,
"id": null,
"uuid": null,
"name": null,
"endTime": null,
"everyType": null,
"monthlyEveryType": null,
"dayOfMonth": null,
"dayOfWeek": null,
"month": null,
"triggerItem": null,
"triggerRunType": null,
"triggerEvents": null,
"effectiveDate": null,
"nextRun": null,
"referenceTime": null,
"position": null,
"scheduleRetentionType": null,
"customKeepSavepointCount": null,
"customKeepSavepointType": null,
"keepImmutableSavepointCount": null
},
"selfHealOverrideJobs": false,
"useVerificationSchedule": false,
"verificationSchedule": {
"enabled": true,
"type": "DAILY",
"startTime": "12:00:00 PM",
"timezoneOffsetMs": 7200000,
"timezone": "EET",
"on": 64,
"every": 1,
"id": null,
"uuid": null,
"name": null,
"endTime": null,
"everyType": null,
"monthlyEveryType": null,
"dayOfMonth": null,
"dayOfWeek": null,
"month": null,
"triggerItem": null,
"triggerRunType": null,
"triggerEvents": null,
"effectiveDate": null,
"nextRun": null,
"referenceTime": null,
"position": null,
"scheduleRetentionType": null,
"customKeepSavepointCount": null,
"customKeepSavepointType": null,
"keepImmutableSavepointCount": null
},
"verificationOverrideJobs": false,
"useConsolidationSchedule": false,
"consolidationSchedule": {
"enabled": true,
"type": "DAILY",
"startTime": "12:00:00 PM",
"timezoneOffsetMs": 7200000,
"timezone": "EET",
"on": 32,
"every": 1,
"id": null,
"uuid": null,
"name": null,
"endTime": null,
"everyType": null,
"monthlyEveryType": null,
"dayOfMonth": null,
"dayOfWeek": null,
"month": null,
"triggerItem": null,
"triggerRunType": null,
"triggerEvents": null,
"effectiveDate": null,
"nextRun": null,
"referenceTime": null,
"position": null,
"scheduleRetentionType": null,
"customKeepSavepointCount": null,
"customKeepSavepointType": null,
"keepImmutableSavepointCount": null
},
"consolidationOverrideJobs": false,
"useDetachSchedule": false,
"detachSchedule": {
"enabled": true,
"type": "DAILY",
"startTime": "6:00:00 PM",
"timezoneOffsetMs": 7200000,
"timezone": "EET",
"on": 127,
"every": 1,
"id": null,
"uuid": null,
"name": null,
"endTime": null,
"everyType": null,
"monthlyEveryType": null,
"dayOfMonth": null,
"dayOfWeek": null,
"month": null,
"triggerItem": null,
"triggerRunType": null,
"triggerEvents": null,
"effectiveDate": null,
"nextRun": null,
"referenceTime": null,
"position": null,
"scheduleRetentionType": null,
"customKeepSavepointCount": null,
"customKeepSavepointType": null,
"keepImmutableSavepointCount": null
},
"attachSchedule": {
"enabled": true,
"type": "DAILY",
"startTime": "12:00:00 AM",
"timezoneOffsetMs": 7200000,
"timezone": "EET",
"on": 127,
"every": 1,
"id": null,
"uuid": null,
"name": null,
"endTime": null,
"everyType": null,
"monthlyEveryType": null,
"dayOfMonth": null,
"dayOfWeek": null,
"month": null,
"triggerItem": null,
"triggerRunType": null,
"triggerEvents": null,
"effectiveDate": null,
"nextRun": null,
"referenceTime": null,
"position": null,
"scheduleRetentionType": null,
"customKeepSavepointCount": null,
"customKeepSavepointType": null,
"keepImmutableSavepointCount": null
},
"deleteAndRecreateOnAttach": false,
"alertErrorCode": null,
"alertTitle": null,
"alertDescription": null,
"masterTenantVid": null,
"localTenantVid": null,
"blockingItems": null,
"action": null,
"enforceExplicitFileSystemSync": false,
"objectLockSupported": false,
"hasImmutableSavepoint": false,
"runUnderElevatedPrivileges": false,
"maintenanceInterrupted": false
}
],
"type": "rpc",
"tid": 1}'
Request Fields
|
Field
|
Type
|
Value(s)
|
Description |
|---|---|---|---|
action
|
string |
|
The action that is invoked |
method
|
string |
|
The method that is invoked |
data
|
array |
|
Data of the Backup Repository to be updated |
type
|
string |
|
Type of communication protocol |
tid
|
int |
|
Transaction ID. Used to identify the request by both the client and the server |
Data
|
Field |
Type |
Description |
|
|
string |
Data storage type of the Backup Repository. Possible values: |
|
|
string |
Type of the Backup Repository. Possible values: |
|
|
string |
Compression level of the Backup Repository. Possible values: |
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
string |
Describes if there are any changes to be applied to the Backup Repository. Possible values: |
|
|
integer |
Backup Repository ID. Required: identifies the Backup Repository to update |
|
|
string |
Backup Repository state. Possible values: |
|
|
string |
Backup Repository status. Possible values: |
|
|
boolean |
Checks if the Backup Repository is accessible. For the create method, the field is ignored |
|
|
boolean |
Checks if the Backup Repository is attached. For the create method, the field is ignored |
|
|
boolean |
Checks if the Backup Repository is consistent. For the create method, the field is ignored |
|
|
boolean |
Checks if the Backup Repository is licensed. For the create method, the field is ignored |
|
|
string |
Backup Repository name |
|
|
string |
Backup Repository description |
|
|
int |
Size of the Backup Repository in bytes. For the create method, this field is ignored |
|
|
int |
Size of the Backup Repository free space in bytes. For the create method, this field is ignored |
|
|
int |
Allocated space in the Backup Repository in bytes. For the create method, this field is ignored |
|
|
int |
Consumed space in the Backup Repository in bytes. For the create method, this field is ignored |
|
|
string |
Path to the Backup Repository |
|
|
longint |
ID of the assigned Transporter |
|
|
string |
Name of the assigned Transporter. For the create method, this field is ignored |
|
|
string |
VID of the assigned Transporter. Returned by the product. To change the Transporter, use the |
|
|
string |
State of the assigned Transporter. Possible values: |
|
|
|
Capabilities of the assigned Transporter. For the create method, this field is ignored |
|
|
string |
User name for accessing the Backup Repository when the type field is |
|
|
string |
Password for accessing the Backup Repository when the type field is |
|
|
string |
Advanced options of mounting the Backup Repository when the type field is either of the following: |
|
|
integer |
Number of backups in the Backup Repository. Returned by the product |
|
|
|
Count of backups per platform. For the create method, this field is ignored |
|
|
|
Count of platform-specific backups that have a root disk. For the create method, this field is ignored |
|
|
boolean |
Checks if valid data are once got from the Backup Repository. For the create method, this field is ignored |
|
|
boolean |
Checks if the Backup Repository was edited. For the create method, this field is ignored |
|
|
boolean |
|
|
|
boolean |
|
|
|
int |
Progress of a running operation when the status field is not NONE. For the create method, this field is ignored |
|
|
string |
Time when the operation started while the status field is not NONE; |
|
|
integer |
Relative time when the operation started while the status field is not NONE; |
|
|
boolean |
Checks if the Transporter is exclusively locked. For the create method, this field is ignored |
|
|
array |
Reasons for locking the Transporter. For the create method, this field is ignored |
|
|
boolean |
Checks if the Backup Repository is exclusively locked. For the create method, this field is ignored |
|
|
boolean |
Checks if the Backup Repository is locked by sharing. For the create method, this field is ignored |
|
|
array |
Reasons for locking the Backup Repository. For the create method, this field is ignored |
|
|
boolean |
Checks if the Backup Repository modification is prevented |
|
|
boolean |
|
|
|
int |
Backup Repository compression ratio. For the create method, this field is ignored |
|
|
boolean |
|
|
|
int |
Deduplication ratio of the Backup Repository. For the create method, this field is ignored |
|
|
boolean |
Checks if self-healing is enabled |
|
|
boolean |
|
|
|
string |
Password for encrypting the Backup Repository |
|
|
boolean |
|
|
|
longint |
Backup Repository storage size when the type field is |
|
|
longint |
Backup Repository chunk storage size when the type field is |
|
|
string |
Backup Repository volume type when the type field is |
|
|
string |
AWS account ID - used when the type field is |
|
|
string |
AWS account name - used when the type field is |
|
|
string |
AWS region ID - used when the type field is |
|
|
string |
Aws region name - used when the type field is |
|
|
string |
Bucket id - used when the type field is |
|
|
string |
Bucket name - used when the type field is |
|
|
integer |
ID of the Wasabi account. Used when the |
|
|
string |
Name of the Wasabi account. Used when the |
|
|
integer |
ID of the Wasabi region. Used when the |
|
|
string |
Name of the Wasabi region. Used when the |
|
|
integer |
ID of the Wasabi bucket. Used when the |
|
|
string |
Name of the Wasabi bucket. Used when the |
|
|
integer |
ID of the Azure account. Used when the |
|
|
string |
Name of the Azure account. Used when the |
|
|
integer |
ID of the Azure Blob container. Used when the |
|
|
integer |
ID of the Backblaze account. Used for Backblaze B2 Backup Repositories |
|
|
string |
Name of the Backblaze account. Used for Backblaze B2 Backup Repositories |
|
|
string |
Name of the Backblaze region. Used for Backblaze B2 Backup Repositories |
|
|
integer |
ID of the Backblaze bucket. Used for Backblaze B2 Backup Repositories |
|
|
string |
Name of the Backblaze bucket. Used for Backblaze B2 Backup Repositories |
|
|
integer |
ID of the S3-compatible storage account. Used for S3-compatible Backup Repositories |
|
|
string |
Name of the S3-compatible storage account. Used for S3-compatible Backup Repositories |
|
|
string |
Name of the S3-compatible storage region. Used for S3-compatible Backup Repositories |
|
|
integer |
ID of the S3-compatible storage bucket. Used for S3-compatible Backup Repositories |
|
|
string |
Name of the S3-compatible storage bucket. Used for S3-compatible Backup Repositories |
|
|
string |
Device type. Returned by the product |
|
|
string |
Connection type of the HPE StoreOnce Catalyst. Possible values: |
|
|
string |
Server name or IP address of the HPE StoreOnce Catalyst. Used when the |
|
|
string |
COFC identifier of the HPE StoreOnce Catalyst. Used when the |
|
|
string |
Name of the HPE StoreOnce Catalyst store |
|
|
string |
VID of the master tenant in the multi-tenant product. Returned by the product |
|
|
string |
VID of the local tenant in the multi-tenant product. Returned by the product |
|
|
array |
Items that block an operation on the Backup Repository. Returned by the product |
|
|
string |
Returned by the product |
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
boolean |
|
|
|
JSON |
Data of self-healing schedule |
|
|
JSON |
Data of verification schedule |
|
|
JSON |
Data of consolidation schedule |
|
|
JSON |
Data of detachment schedule |
|
|
JSON |
Data of attachment schedule |
|
|
longint |
Alert error code when the state field is |
|
|
string |
Alert title. For the create method, the field is ignored |
|
|
string |
Alert description. For the create method, the field is ignored |
Schedule Data
|
Field |
Type |
Description |
|
|
integer |
Schedule ID. Returned by the product |
|
|
string |
Schedule UUID. Returned by the product |
|
|
string |
Schedule name |
|
|
boolean |
|
|
|
string |
Schedule type. Possible values: |
|
|
string |
Schedule start time. Out of the day, it is null when on demand. Format: 24-hr, hh:mm:ss a |
|
|
integer |
Time zone offset in ms. It is set by the server |
|
|
string |
Time zone |
|
|
integer |
A day mask; a month is the 0th bit, the last Sunday is the 6th bit. |
|
|
string |
Schedule end time. Out of the day, it can be null for a scheduled type with no endTime. Format: 24-hr, hh:mm:ss a |
|
|
string |
Possible values: |
|
|
int |
For the |
|
|
string |
Possible values: |
|
|
int |
Day of the month the schedule to be run |
|
|
int |
Weekday the schedule to be run |
|
|
int |
Month in which the schedule to be run |
|
|
string |
VID of the item to monitor (job) |
|
|
string |
Monitored item type. Possible values: |
|
|
array |
Events of the monitored item. Possible values: |
|
|
string |
Effective date in the ISO8601 format |
|
|
string |
Next run set by the server, if available |
|
|
string |
Reference time set by the server |
|
|
string |
Schedule retention type. Possible values: |
|
|
integer |
Custom recovery point retention count, in units of the |
|
|
string |
Unit of the |
|
|
integer |
Immutable recovery point retention count |
|
|
int |
Position of the schedule |
Response Sample
{
"action":"BackupManagement",
"method":"update",
"tid":"1",
"type":"rpc",
"message":null,
"where":null,
"cause":null,
"data":20
}
Response Fields
|
Field
|
Value
|
Description
|
|---|---|---|
message
|
string | Message if the request failed |
where
|
string | Reference to the method where the problem occurred |
cause
|
string | Cause of failure |
data
|
integer | ID of the updated Backup Repository |